#!/usr/bin/gnuplot

set term post eps enh color solid "Helvetica" 18 size 12.0cm,25cm
set out "logg1_logg3_ALL.eps"

set xl ""
x1=0.0
x2=1.0
y1=0.0
y2=2.0
set autoscale fix
#set xr [x1:x2]
#set yr [y1:y2]
set tics front font "Helvetica,14" tc 'gray'
set mxtics 1
set mytics 1
set xtics offset 0,0.2
set ytics offset 0.2,0
set logscale z
set xyplane 0.0
set view 0,0
set pm3d map
#set size ratio -1
set nocolorbox

set palette defined (\
  0.0  'cyan',\
  0.05 'blue',\
  0.5  'white',\
  1.0  '#ff9900' \
  )

set multiplot layout 4,2
set lmargin 3
set rmargin 0
set bmargin 1.5
set tmargin 1.5

s="SKY"; c=69-15; fac=1.5;
load "common1.plt"

s="RV"  ; c=69-14; fac=3.0;
load "common1.plt"

s="ETV" ; c=69-13; fac=3.0;
set noarrow
load "common1.plt"

s="ECL" ; c=69-12; fac=30.0;
load "common1.plt"

s="SYN" ; c=69- 7; fac=3.0;
set label "log {/Helvetica-Oblique g}_3" at graph -0.06,graph 0.5 center front rotate
load "common1.plt"

s="SED" ; c=69- 6; fac=3.0;
set nolabel
load "common1.plt"

s="LC"  ; c=69- 8; fac=3.0;
set tics format "%.1f" tc 'black'
load "common1.plt"

s="chi2" ; c=69-0; fac=1.5;
#s="VIS" ; c=69-11; fac=1.2;
#s="CLO" ; c=69-10; fac=1.2;
#s="T3"  ; c=69- 9; fac=1.2;
set tics format "%.1f" tc 'gray'
set label "log {/Helvetica-Oblique g}_1" at graph 0.5,graph -0.05 center front
load "common1.plt"


