#!/usr/bin/gnuplot

N = 33
M = 2
nu = N-M

chi2 = N
chi2_1sigma = 35
chi2_3sigma = 57
factor1 = real(chi2_1sigma)/chi2
factor3 = real(chi2_3sigma)/chi2

chi2_ = 405
chi2_1sigma_ = chi2_*factor1
chi2_3sigma_ = chi2_*factor3

print "nu = ", nu
print "factor1 = ", factor1
print "factor2 = ", factor3
print "chi2' = ", chi2_
print "chi2_1sigma' = ", chi2_1sigma_
print "chi2_3sigma' = ", chi2_3sigma_

########################################################################

set xl "chi^2"
set yl "probq"

set yr [1e-5:]
set ytics format "%.3g"
set logscale y
set key bottom left

set label "nu" at nu,graph 1.02 center
set label " 1-sigma" at graph 1.0,first 1-0.683  left
set label " 3-sigma" at graph 1.0,first 1-0.9973 left

set arrow from nu,graph 0 rto 0,graph 1 nohead lt 0
set arrow from chi2_1sigma,graph 0 rto 0,graph 1 nohead lt 1 lc 'orange'
set arrow from chi2_3sigma,graph 0 rto 0,graph 1 nohead lt 1 lc 'red'

p sprintf("<./chi2 %d  0 100 1", nu) u 2:3 w lp,\
  0.5 w l lc 'gray',\
  1-0.683 w l lt 0,\
  1-0.9973 w l lt 0,\
  "vline.dat" u ($1*nu):2 not w l lt 0
pa -1

set term png small
set out "chi2.png"
rep



