#!/usr/bin/gnuplot

M_S = 1.989e30  # kg
day = 86400.  # s
pc = 3.08567758e16  # m
G = 6.67430e-11  # kg^-1 m^3 s^-2

m1 = 17.803011593998885*M_S
m2 = 8.5187775281068863*M_S
m3 = 8.7871494695930146*M_S
P2 = 55453.499930466365*day
e2 = 10.**-0.24830042965385180
d_pc = 382.*pc

mtot = m1+m2+m3
a2 = (G*mtot/(4.*pi**2)*P2**2)**(1./3.)
Q2 = a2*(1.+e2)
phi = Q2/d_pc

P2_ = 37500.0*day
e2_ = 10.**-0.1
Q2_ = Q2
a2_ = Q2_/(1.+e2_)
mtot_ = a2_**3/P2_**2 * 4.*pi**2/G

m1_ = m1*mtot_/mtot
m2_ = m2*mtot_/mtot
m3_ = m3*mtot_/mtot

print "m1 = ", m1/M_S, " M_S"
print "m2 = ", m2/M_S, " M_S"
print "m3 = ", m3/M_S, " M_S"
print "P2 = ", P2/day, " d"
print "e2 = ", e2

print ""
print "m1' = ", m1_/M_S, " M_S"
print "m2' = ", m2_/M_S, " M_S"
print "m3' = ", m3_/M_S, " M_S"
print "P2' = ", P2_/day, " d"
print "e2' = ", e2_



